import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite' //自动引入方法
import DefineOptions from 'unplugin-vue-define-options/vite'

// https://vitejs.dev/config/
export default defineConfig({
    plugins: [
        DefineOptions(),
        vue(),
        AutoImport({
            imports: ["vue", "vue-router"], // 自动导入vue和vue-router相关函数
            dts: "src/auto-import.d.ts", // 生成 `auto-import.d.ts` 全局声明
        }),
    ],
    build: {
        outDir: 'lib',
        lib: {
            entry: 'src/packages/index.ts',
            name: 'wm-web-ui',
            fileName: 'wm-web-ui',
        },
        rollupOptions: {
            external: ['vue', 'vue-router'],
            output: {
                // 在 UMD 构建模式下为这些外部化的依赖提供一个全局变量
                globals: {
                    vue: 'Vue',
                    'vue-router': 'VueRouter',
                },
            },
        }
    }
})
